* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background: #02060d;
    color: white;
    font-family: 'Inter', sans-serif;
    overflow-x: hidden;
}

.container {
    width: 95%;
    max-width: 1400px;
    margin: auto;
}

/* NAVBAR */

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 30px 0;
}

.logo {
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 6px;
}

.logo img {
    width: 45px;
}

.logo span {
    font-size: 12px;
    text-transform: uppercase;
    color: #ddd;
}

.logo_nav {
    display: flex;
    align-items: center;
    gap: 50px
}

nav {
    text-transform: uppercase;
    display: flex;
    gap: 40px;
}

nav a {
    font-size: 12px;
    color: #aaa;
    text-decoration: none;
    transition: .3s;
}

nav a:hover,
nav .active {
    color: #00ffe1;
}

.contact-btn {
    border: 1px solid #00ffe1;
    background: transparent;
    color: white;
    cursor: pointer;
    transition: .3s;
    padding: 14px 26px;
    border-radius: 12px;
    font-weight: 700;

}

.contact-btn:hover {
    text-shadow: 0px 0.5px rgb(161, 159, 159);
    background: linear-gradient(220deg, #00ffe1, #02060d);
    color: black;
}

/* HERO */

.hero {
    display: flex;
    align-items: center;
    min-height: 85vh;
    gap: 50px;
}

.hero-left {
    align-self: flex-start;
    margin-top: 100px;
}

.mini-title {
    font-family: 'Orbitron', sans-serif;
    padding-left: 10PX;
    color: #00ffe1;
    margin-bottom: 15px;
    letter-spacing: 2px;
}

.hero-left h1 {
    font-size: 130px;
    line-height: 0.7;
    font-weight: 900;
    font-family: 'Orbitron', sans-serif;
}

.hero-left h1 span {
    color: #00ffe1;
    font-size: 100px;
}

.hero-left h3 {
    margin-top: 25px;
    font-size: 28px;
    color: #ddd;
    font-family: 'Orbitron', sans-serif;
}

.hero-text {
    margin-top: 20px;
    color: #999;
    max-width: 500px;
    line-height: 1.3;
    font-family: sans-serif;
}

.hero-buttons {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-top: 40px;
}

.primary-btn {
    border: 1px solid #00ffe1;
    background: linear-gradient(220deg, #00ffe1, #02060d);
    color: rgb(0, 0, 0);
    font-weight: 900;
    padding: 16px 28px;
    border-radius: 14px;
    cursor: pointer;
    text-shadow: 0px 0.5px rgb(161, 159, 159);
    transition: 0.1s ease;
}
.primary-btn:hover {
    transform: translatey(-5px);
    box-shadow: 0px 0px 20px #038374;
}

.play-btn {
    width: 60px;
    height: 60px;
    padding-left: 5px;
    padding-bottom: 3px;
    border-radius: 50%;
    border: 1px solid #00ffe1;
    background: transparent;
    color: white;
    cursor: pointer;
    font-size: 30px;
}
.play-btn:hover {
    color: #2feed8c1;
    box-shadow: 0px 0px 30px #038374;
}

.watch {
    color: #ccc;
    font-family: sans-serif;
}

.hero-right {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}
.new{
    perspective: 1000px;
}

.circle-glow {
    position: absolute;
    width: 600px;
    height: 600px;
    border-radius: 50%;
    border: 2px solid #00ffe1;
    box-shadow: 0 0 80px #00ffe1;
    animation: pulse 7s ease-in-out infinite;
    transform-style: preserve-3d;
}

.hero-image {
    width: 100%;
    max-width: 600px;
    position: relative;
    z-index: 2;
}

@keyframes pulse {
  0% {
    transform: translatez(0);
    opacity: 0.5;
}

50% {
    transform: translatez(20px);
    opacity: 1;
}

100% {
    transform: translatez(0);
    opacity: 0.5;
  }
}

.floating-card {
    cursor: pointer;
    background: linear-gradient(to left, #02060d, transparent);
    backdrop-filter: blur(10px);
    color: #fff;
    display: flex;
    align-items: center;
    gap: 20px;
    border-bottom-left-radius: 18px;
    border-top-left-radius: 18px;
    font-size: 12px;
    text-transform: uppercase;
}
.floating-card:hover {
    background: linear-gradient(to left, #02060d, rgba(255, 255, 255, 0.193));
}
.floating-card:hover img{
    filter: drop-shadow(5px 5px 10px #00ffe1 );
    transform: scale(1.1);
}


.icony {
    background: #02060d;
    border: 1px solid rgba(0, 255, 225, 0.5);
    border-radius: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    width: 50px;
}

.floating-card img {
    height: 22px;

}

.button-collective {
    position: absolute;
    right: -25%;
    top: 5%;
    display: flex;
    flex-direction: column;
    gap: 30px;
    font-size: large;
}

.star_1{
    opacity: 0.3;
    position: absolute;
    bottom: -1000px;
    align-self: flex-end;
    width: 400px;
    transform: rotatex(200deg);
    z-index: -1;
}

/* STATS */

.stats {
    margin-top: 60px;
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.stat-box {
    background: linear-gradient(to right, #00ffe1, transparent);
    padding: 20px;
    text-align: center;
    transition: 0.2s ease;
    border-left: 0px solid black;
    cursor: pointer;
}
.stat-box:hover {
    border-left: 30px solid #038374;
}

.stat-box h2 {
    color: #00ffe1;
    font-size: 48px;
    font-family: 'Orbitron', sans-serif;
}

.stat-box p {
    margin-top: 10px;
    color: #111;
    text-transform: uppercase;
    font-weight: 600;
}

/* PROJECTS */

.projects {
    margin-top: 120px;
}

.section-title {
    text-align: center;
    margin-bottom: 50px;
}

.section-title p {
    color: #00ffe1;
    letter-spacing: 4px;
    font-family: 'Orbitron', sans-serif;
}

.section-title h2 {
    font-family: 'Orbitron', sans-serif;
    font-size: 50px;
}

.project-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
}

.project-card {
    margin: 0 15px;
    background: #08131d;
    border-radius: 24px;
    overflow: hidden;
    border: 1px solid rgba(0, 109, 76, 0.15);
    transition: 0.2s ease;
    box-shadow: 0px 0px 3px #00ffe1;
}

.project-card:hover {
    transform: translateY(-15px);
    box-shadow: 0px 0px 30px #038374;
}

.project-card:hover>img {
    transform: scale(1.05);
}

.project-card:hover .arrow-btn {
    box-shadow: 0px 0px 5px #00ffe1;
    background-color: #00ffe11d;
}

.project-card:hover .arrow-btn img {
    filter: brightness(0) saturate(100%) invert(84%) sepia(67%) saturate(2284%) hue-rotate(114deg) brightness(104%) contrast(104%);
}

.card-bottom {
    display: flex;
    justify-content: space-between;
    margin: 0px 24px;
    border-top: 1px solid gray;
    align-items: center;
    padding: 20px 3px;
}

.arrow-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    width: 50px;
    border: 2px solid #038374;
    border-radius: 50px;
    transition: 0.2s;
}

.project-card>img {
    width: 100%;
    object-fit: cover;
    transition: 0.3s ease;
    transition-delay: 0.1s;
}

.project-content {
    padding: 24px;
}

.project-content h3 {
    margin-bottom: 12px;
    font-size: 28px;
}

.project-content p {
    color: #aaa;
    line-height: 1.3;
    font-size: medium;
}

/* WORKFLOW */

.workflow {
    margin-top: 120px;
}

.workflow-grid {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
}

.workflow-card {
    background: #071018;
    padding: 30px;
    border-radius: 20px;
    border: 1px solid rgba(0, 255, 225, 0.15);
}

.workflow-card span {
    color: #00ffe1;
    font-size: 28px;
    font-family: 'Orbitron', sans-serif;
}

.workflow-card h3 {
    font-family: 'Orbitron', sans-serif;
    margin-top: 18px;
}

.workflow-card p {
    margin-top: 10px;
    color: #999;
    line-height: 1.6;
}

/* FOOTER */

.footer {
    margin-top: 120px;
    margin-bottom: 50px;
    background: #071018;
    border-radius: 30px;
    padding: 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: 1px solid rgba(0, 255, 225, 0.15);
}

.footer h2 {
    font-size: 42px;
    max-width: 600px;
    line-height: 1.2;
    margin-bottom: 30px;
    font-family: 'Orbitron', sans-serif;
}

.footer h2 span {
    color: #00ffe1;
}

.footer-right {
    text-align: right;
}

.footer-right h3 {
    color: #00ffe1;
    margin-bottom: 10px;
}

/* RESPONSIVE */

@media(max-width:1100px) {

    .hero {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .hero-buttons {
        justify-content: center;
    }

    .floating-card {
        display: none;
    }

    .stats,
    .project-grid,
    .workflow-grid {
        grid-template-columns: 1fr 1fr;
    }

    .footer {
        flex-direction: column;
        gap: 40px;
        text-align: center;
    }

    .footer-right {
        text-align: center;
    }
}

@media(max-width:768px) {

    nav {
        display: none;
    }

    .hero-left h1 {
        font-size: 60px;
    }

    .stats,
    .project-grid,
    .workflow-grid {
        grid-template-columns: 1fr;
    }

    .footer h2 {
        font-size: 32px;
    }

}